Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Forum Module

Discuss the Forum Module.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Fatal error: Call to undefined method


Reply

7 Posts   2846 Views

Avatar
vtpcwizard2

3 March 2009 at 9:48am (Last edited: 3 March 2009 11:52am), Community Member, 4 Posts

Am getting the following error:

Fatal error: Call to undefined method Controller::currentcontroller() in /home/mysite/public_html/ss/forum-v0.1.2/code/Forum.php on line 155

This is a newly installed v 2.0.3 site. Help? Thanks!

Avatar
Willr

3 March 2009 at 11:53am Forum Moderator, 5511 Posts

vtpcwizard2 - Forum 0.1 is quite out of date. Try using the 0.2 release listed (its a sticky post at the top)

Avatar
sysyphus

7 March 2009 at 5:50pm Community Member, 20 Posts

Yeah I'm getting the same error, I'm using silverstripe v2.3.0 and the 0.2 realease of the forum. I've installed that on a freshly built home server using Apache2 and PHP5 and the latest stable MySQL build

Avatar
sysyphus

7 March 2009 at 6:10pm Community Member, 20 Posts

I worked out how to fix my problem, I changed to the reversedsky theme, with that them are a bunch of folders for customising the forum: css, images and templates. once I copied them across to my forum directory I got everything working.

Avatar
xpcontact

28 March 2009 at 8:31pm Community Member, 1 Post

Hi,
I got the same problem, could you please help me out to fix it ? I did use the latest version.
I did like SS, and I hope I get fix this error to continue learning it :)
Thanks in advance

Avatar
maksfeltrin

8 September 2009 at 7:43am Community Member, 6 Posts

Controller::currentController() has been replaced by Controller::curr()

Avatar
Heike-san

18 November 2009 at 2:52am Community Member, 52 Posts

I have the same problem though I recently upgraded my website to the most recent version of SilverStripe (2.3.3) and thus my existing forum module (the old v 0.1) isn't very happy, can I upgrade this module without losing the data ?